Skip to content

Instantly share code, notes, and snippets.

Avatar
🇪🇺

Folât Pjêrsômêj Folaht

🇪🇺
View GitHub Profile
View Sudo podman inspect join_node_1
[
{
"Id": "a8e83b16f40429802b0a9568d327ae3ca9c82b4f29626f73cef8932f2fb1985c",
"Created": "2022-06-13T20:31:25.993930573+02:00",
"Path": "/bin/sh",
"Args": [
"-c",
"~/.safe/bin/snc-node --name ${NETWORK_NAME} --log-level ${LOG_LEVEL} --skip-auto-port-forwarding ${SKIP_AUTO_PORT_FORWARDING} --idle-timeout-msec ${IDLE_TIMEOUT_MSEC} --keep-alive-interval-msec ${KEEP_ALIVE_INTERVAL_MSEC} --con-ip ${CON_IP} --con-port ${CON_PORT} --pub-ip ${PUB_IP} --pub-port ${PUB_PORT} --log-dir ${LOG_DIR} --root-dir ${ROOT_DIR} --first ${FIRST}"
],
"State": {
@Folaht
Folaht / check.sh
Last active Jan 16, 2022
Safe podman container rootnode-ipv4 run files
View check.sh
#!/bin/bash
cat ~/.local/share/safe/cli/networks/sjefolaht_node_connection_info.config
echo
sudo podman exec -w /root/.safe/cli/networks/ root_node cat sjefolaht_node_connection_info.config
echo
sudo podman exec -it root_node /bin/bash
@Folaht
Folaht / join ipv4 host node
Last active Dec 31, 2021
Random port issue
View join ipv4 host node
INFO 2021-12-31T00:00:41.722446Z [sn/src/routing/routing_api/mod.rs:L152]:
➤ 859220.. Bootstrapping a new node.
TRACE 2021-12-31T00:00:41.738907Z [sn/src/routing/core/comm.rs:L464]:
➤ bootstrap {bootstrap_nodes=[192.168.178.29:12000]}
➤ handle_incoming_connections
➤ handle_incoming_messages {connection=Connection { id: 1023325744, remote_address: 192.168.178.29:57402, .. }}
➤ ConnectionOpened connection_id=1023325744 src=192.168.178.29:57402
TRACE 2021-12-31T00:00:41.738969Z [sn/src/routing/core/comm.rs:L485]:
➤ bootstrap {bootstrap_nodes=[192.168.178.29:12000]}
➤ handle_incoming_connections
View vagrant.log
INFO global: Vagrant version: 2.2.18
INFO global: Ruby version: 2.7.4
INFO global: RubyGems version: 3.1.6
INFO global: VAGRANT_LOG="debug"
INFO global: VAGRANT_INSTALLER_ENV="1"
INFO global: VAGRANT_INSTALLER_VERSION="2"
INFO global: VAGRANT_EXECUTABLE="/opt/vagrant/embedded/gems/2.2.18/gems/vagrant-2.2.18/bin/vagrant"
INFO global: VAGRANT_INSTALLER_EMBEDDED_DIR="/opt/vagrant/embedded"
WARN global: resolv replacement has not been enabled!
DEBUG global: Loading core plugin: /opt/vagrant/embedded/gems/2.2.18/gems/vagrant-2.2.18/plugins/commands/autocomplete/plugin.rb
View Vagrant error
[folaht@pjehrsohmehj Vagrant]$ cat vagrant.log
INFO global: Vagrant version: 2.2.18
INFO global: Ruby version: 2.7.4
INFO global: RubyGems version: 3.1.6
INFO global: VAGRANT_LOG="debug"
INFO global: VAGRANT_INSTALLER_VERSION="2"
INFO global: VAGRANT_INSTALLER_EMBEDDED_DIR="/opt/vagrant/embedded"
INFO global: VAGRANT_INSTALLER_ENV="1"
INFO global: VAGRANT_EXECUTABLE="/opt/vagrant/embedded/gems/2.2.18/gems/vagrant-2.2.18/bin/vagrant"
WARN global: resolv replacement has not been enabled!
View packer-manjaro test 2
[folaht@pjehrsohmehj mai-base]$ PACKER_LOG=1 packer build manjaro-arm-installer.pkr.hcl
2021/09/01 19:36:24 [INFO] Packer version: 1.7.4 [go1.16.6 linux amd64]
2021/09/01 19:36:24 [TRACE] discovering plugins in /usr/bin
2021/09/01 19:36:24 [TRACE] discovering plugins in /home/folaht/.packer.d/plugins
2021/09/01 19:36:24 [TRACE] discovering plugins in .
2021/09/01 19:36:24 [INFO] PACKER_CONFIG env var not set; checking the default config file path
2021/09/01 19:36:24 [INFO] PACKER_CONFIG env var set; attempting to open config file: /home/folaht/.packerconfig
2021/09/01 19:36:24 [INFO] Setting cache directory: /home/folaht/Nwaȥ/Êspas dû travaj/neovîm/Âp/mai-packer/mai-base/packer_cache
2021/09/01 19:36:24 [TRACE] validateValue: not active for ssh_timeout, so skipping
2021/09/01 19:36:24 [TRACE] validateValue: not active for write_zeros, so skipping
View packer-manjaro test
[folaht@pjehrsohmehj mai-base]$ PACKER_LOG=1 packer build manjaro-arm-installer.pkr.hcl
2021/09/01 17:40:06 [INFO] Packer version: 1.7.4 [go1.16.6 linux amd64]
2021/09/01 17:40:06 [TRACE] discovering plugins in /usr/bin
2021/09/01 17:40:06 [TRACE] discovering plugins in /home/folaht/.packer.d/plugins
2021/09/01 17:40:06 [TRACE] discovering plugins in .
2021/09/01 17:40:06 [INFO] PACKER_CONFIG env var not set; checking the default config file path
2021/09/01 17:40:06 [INFO] PACKER_CONFIG env var set; attempting to open config file: /home/folaht/.packerconfig
2021/09/01 17:40:06 [INFO] Setting cache directory: /home/folaht/Nwaȥ/Êspas dû travaj/neovîm/Âp/mai-packer/mai-base/packer_cache
2021/09/01 17:40:06 [TRACE] validateValue: not active for country, so skipping
2021/09/01 17:40:06 [TRACE] validateValue: not active for headless, so skipping
View No box
[folaht@pjehrsohmehj mai-base]$ PACKER_LOG=1 packer build manjaro-arm-installer.pkr.hcl
2021/08/24 09:30:43 [INFO] Packer version: 1.7.4 [go1.16.6 linux amd64]
2021/08/24 09:30:43 [TRACE] discovering plugins in /usr/bin
2021/08/24 09:30:43 [TRACE] discovering plugins in /home/folaht/.packer.d/plugins
2021/08/24 09:30:43 [TRACE] discovering plugins in .
2021/08/24 09:30:43 [INFO] PACKER_CONFIG env var not set; checking the default config file path
2021/08/24 09:30:43 [INFO] PACKER_CONFIG env var set; attempting to open config file: /home/folaht/.packerconfig
2021/08/24 09:30:43 [INFO] Setting cache directory: /home/folaht/Nwaȥ/Êspas dû travaj/neovîm/Âp/mai-packer/mai-base/packer_cache
2021/08/24 09:30:43 [TRACE] listing potential installations for "github.com/hashicorp/qemu" that match ">= 1.0.0". plugingetter.ListInstallationsOptions{FromFolders:[]string{"/usr/bin/packer", ".", "/home/folaht/.packer.d/plugins"}, BinaryInstallationOptions:plugingetter.BinaryInstallationOptions{APIVersionMajor:"5", APIVersionMi
View gist:4f4135236a43480fe9d9d554f5f1cd8e
[folaht@pjehrsohmehj sn_browser]$ cat node_modules/electron/dist/electron.crust.config
{
"hard_coded_contacts": [
"192.168.178.24:12000"
],
"whitelisted_node_ips": null,
"whitelisted_client_ips": null,
"tcp_acceptor_port": 12000,
"service_discovery_port": null,
"bootstrap_cache_name": null,
View gist:bf64ac3bd1c04d112412b69d00e099e2
[folaht@Resosur-uq sn_cli]$ cargo build --release
Compiling libc v0.2.79
Compiling itoa v0.4.6
Compiling either v1.6.1
Compiling futures v0.1.30
Compiling semver-parser v0.7.0
Compiling futures-sink v0.3.6
Compiling scopeguard v1.1.0
Compiling rand_core v0.4.2
Compiling hashbrown v0.9.1